{% extends 'front_end/base.html' %}
{% load staticfiles %}
{% load static %}
{% block style %}
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
<link rel='stylesheet' href="{% static 'css/main.css' %}">
{% endblock style %}
{% block title %}
{{ anime_detail.title }}
{% endblock title %}
{% block body %}
<body class='body'>
    <h4 class='profile-name'>{{ user_data.username }}</h4>
    {% if reviews %}
        <h5 class='section-name'>Reviews:</h5>
        {% for review in reviews %}
        <div class='review-container'>
            <div class='review-header'>
                <div class='header-img'>
                    <img height='100' width='100' src={{ review.anime__image_url }}>
                    {% if user_profile %}
                    <div>
                        <a class='edit-btn' href="{% url 'front_end:edit-review' review.id %}">Edit</a>
                        <a class='delete-btn' href="{% url 'front_end:delete-review' review.id %}">Delete</a>
                    </div>
                    {% endif %}
                </div>
                <div  class='header-text'>
                    <h5>Anime: {{ review.anime__title }}</h5>
                    <p>Created on: {{ review.created }}<br>
                    <br>
                    Review: {{ review.content }}</p>
                </div>
            </div>
            {% if not forloop.last %}
                <hr>
            {% endif %}
            
        </div>
        
        {% endfor %}
    {% endif %}
    {% if posts %}
        <h5 class='section-name'>Blogs:</h5>
        {% for post in posts %}
        <div class='post-container'>
            <div class='post-header'>
                <div class='header-img'>
                    <img height='144' src="https://myanimelist.cdn-dena.com/images/anime/12/35893.jpg"/>
                    {% if user_profile %}
                    <div>
                        <a class='edit-btn' href="{% url 'blog:post_edit' post.id %}">Edit</a>
                        <a class='delete-btn' href="{% url 'blog:delete-post' post.id %}">Delete</a>
                    </div>
                    {% endif %}
                </div>
                <div  class='header-text'>
                    <h5>Title: {{ post.title }}</h5>
                    <p>Created on: {{ post.published_date }}<br>
                    Author: {{ post.author }}</p>
                    <p>{{ post.text }}</p>
                </div>
            </div>
            {% if not forloop.last %}
                <hr>
            {% endif %}
        </div>
        
        {% endfor %}
    {% endif %}

</body>


{% endblock %}

